Bug 693868 - Managed entry config not added during in-place upgrade
Summary: Managed entry config not added during in-place upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Server - Plugins
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: 389_1.2.8
TreeView+ depends on / blocked
 
Reported: 2011-04-05 19:10 UTC by Nathan Kinder
Modified: 2015-12-07 16:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 16:49:28 UTC


Attachments (Terms of Use)
Patch (2.60 KB, patch)
2011-04-05 19:28 UTC, Nathan Kinder
nkinder: review?
rmeggins: review+
Details | Diff

Description Nathan Kinder 2011-04-05 19:10:02 UTC
The managed entry plug-in config entry is not added to "cn=config" when "setup-ds.pl -u" is run during an in place upgrade.

We need to add an upgrade LDIF that adds the managed entry config entry.

Comment 1 Nathan Kinder 2011-04-05 19:28:19 UTC
Created attachment 490067 [details]
Patch

Comment 2 Nathan Kinder 2011-04-11 16:29:34 UTC
Pushed to master.  Thanks to Rich for his review!

Counting objects: 16, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (8/8), done.
Writing objects: 100% (9/9), 1.12 KiB, done.
Total 9 (delta 6), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/ds.git
   2472169..8d59cb8  master -> master

Comment 4 Amita Sharma 2011-06-20 13:04:28 UTC
Full DN of administrative user [cn=Directory Manager]: 
Password for this user: 
Finished successful update of directory server.
Please restart your directory servers.
Exiting . . .
Log file is '/tmp/setupgN7s4r.log'

dn: cn=Managed Entries,cn=plugins,cn=config
objectClass: top
objectClass: nsSlapdPlugin
objectClass: extensibleObject
objectClass: nsContainer
cn: Managed Entries
nsslapd-pluginPath: libmanagedentries-plugin
nsslapd-pluginInitfunc: mep_init
nsslapd-pluginType: preoperation
nsslapd-pluginEnabled: on
nsslapd-plugin-depends-on-type: database
nsslapd-pluginId: Managed Entries
nsslapd-pluginVersion: 1.2.8.2
nsslapd-pluginVendor: 389 Project
nsslapd-pluginDescription: Managed Entries plugin

hence VERIFIED


Note You need to log in before you can comment on or make changes to this bug.